import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class HectorNetworkContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    hectorNetworkBondDepository({ address, network }: ContractOpts): import("./ethers").HectorNetworkBondDepository;
    hectorNetworkBondNoTreasury({ address, network }: ContractOpts): import("./ethers").HectorNetworkBondNoTreasury;
    hectorNetworkStakeBondDepository({ address, network }: ContractOpts): import("./ethers").HectorNetworkStakeBondDepository;
    hectorNetworkStaked({ address, network }: ContractOpts): import("./ethers").HectorNetworkStaked;
    hectorNetworkStakingRewards({ address, network }: ContractOpts): import("./ethers").HectorNetworkStakingRewards;
    hectorNetworkToken({ address, network }: ContractOpts): import("./ethers").HectorNetworkToken;
}
export type { HectorNetworkBondDepository } from './ethers';
export type { HectorNetworkBondNoTreasury } from './ethers';
export type { HectorNetworkStakeBondDepository } from './ethers';
export type { HectorNetworkStaked } from './ethers';
export type { HectorNetworkStakingRewards } from './ethers';
export type { HectorNetworkToken } from './ethers';
